package com.ruoyi.powerdistribution.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.List;

/**
 * 时户数要求
对象 pdm_examine_require
 * 
 * @author ruoyi
 * @date 2025-01-02
 */
@Data
public class PdmExamineRequire extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** $column.columnComment */
    private Long id;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String requireCd;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String hourMinNum;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String  hourMaxNum;

    /** 父 */
    @Excel(name = "父")
    private Long pId;

    /** $column.columnComment */
    @Excel(name = "${comment}", readConverterExp = "$column.readConverterExp()")
    private String requireType;

    /** 排序 */
    @Excel(name = "排序")
    private Integer sortNo;


    private List<PdmExamineRequire> children;

    private List<PdmExamineCounty> examineCountyList;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setRequireCd(String requireCd) 
    {
        this.requireCd = requireCd;
    }

    public String getRequireCd() 
    {
        return requireCd;
    }
    public void setHourMinNum(String hourMinNum) 
    {
        this.hourMinNum = hourMinNum;
    }

    public String getHourMinNum() 
    {
        return hourMinNum;
    }
    public void setHourMaxNum(String hourMaxNum)
    {
        this.hourMaxNum = hourMaxNum;
    }

    public String getHourMaxNum()
    {
        return hourMaxNum;
    }
    public void setpId(Long pId) 
    {
        this.pId = pId;
    }

    public Long getpId() 
    {
        return pId;
    }
    public void setRequireType(String requireType) 
    {
        this.requireType = requireType;
    }

    public String getRequireType() 
    {
        return requireType;
    }
    public void setSortNo(Integer sortNo) 
    {
        this.sortNo = sortNo;
    }

    public Integer getSortNo() 
    {
        return sortNo;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("requireCd", getRequireCd())
            .append("hourMinNum", getHourMinNum())
            .append("hourMaxNum", getHourMaxNum())
            .append("pId", getpId())
            .append("requireType", getRequireType())
            .append("sortNo", getSortNo())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .toString();
    }
}
